Bug 472382 - [QLogic 5.3 bug] qla2xx/qla84xx - Failure to establish link.
[QLogic 5.3 bug] qla2xx/qla84xx - Failure to establish link.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity urgent
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
: EasyFix, OtherQA, Regression
: 473917 (view as bug list)
Depends On:
Blocks: 415811
  Show dependency treegraph
 
Reported: 2008-11-20 11:02 EST by Marcus Barrow
Modified: 2009-06-20 04:12 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:00:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
init 84xx properly (1.50 KB, patch)
2008-11-20 11:10 EST, Marcus Barrow
no flags Details | Diff
Console log for the kernel panic seen with the above patch (3.32 KB, text/plain)
2008-12-02 11:37 EST, Martin George
no flags Details
Kernel panic log (4.40 KB, text/plain)
2008-12-03 08:56 EST, Martin George
no flags Details
really correct 84xx init (4.81 KB, patch)
2008-12-04 22:29 EST, Marcus Barrow
no flags Details | Diff
Kernel panic log during qla2xxx unload (21.31 KB, text/plain)
2008-12-07 14:43 EST, Martin George
no flags Details

  None (edit)
Description Marcus Barrow 2008-11-20 11:02:38 EST
QLogic testing is showing that the FCoE adapter is unable to bring up it's link. This is because of an additional initialization step required by the ethernet hardware. In upstream this code would be called thru the scsi_start_scan interface which is not present in rhel 5.

This is a simple patch which explicitly calls the additional initialization routine for the FCoE hardware.

It applies and builds cleanly to 2.6.18-123, and is observed to fix the problem at QLogic.
Comment 1 Marcus Barrow 2008-11-20 11:10:45 EST
Created attachment 324190 [details]
init 84xx properly
Comment 3 Andrius Benokraitis 2008-12-01 17:05:13 EST
*** Bug 473917 has been marked as a duplicate of this bug. ***
Comment 4 Martin George 2008-12-02 11:37:52 EST
Created attachment 325391 [details]
Console log for the kernel panic seen with the above patch

After applying the above patch, I occasionally hit a kernel panic when loading the qla2xxx driver.
Comment 5 Don Zickus 2008-12-02 17:20:34 EST
in kernel-2.6.18-125.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Martin George 2008-12-03 08:56:02 EST
Created attachment 325537 [details]
Kernel panic log

I hit the same kernel panic with the test kernel (2.6.18-125.el5).
Comment 9 Marcus Barrow 2008-12-04 22:29:03 EST
Created attachment 325773 [details]
really correct 84xx init
Comment 10 Marcus Barrow 2008-12-04 22:30:00 EST
updated version to 8.02.00.06.05.03-k
Comment 11 Martin George 2008-12-07 14:43:26 EST
Created attachment 326052 [details]
Kernel panic log during qla2xxx unload

With the latest qla2xx driver v8.02.00.06.05.03-k, I did hit a kernel panic while unloading the driver. This is intermittent.
Comment 12 Don Zickus 2008-12-09 16:05:20 EST
in kernel-2.6.18-126.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 14 Marcus Barrow 2008-12-16 11:22:38 EST
The last problem reported here by Martin George, "intermittent panic on driver unload" has been moved to a new BZ 476701.

The last patch entered here has been verified in 2.6.18-126.
Comment 16 errata-xmlrpc 2009-01-20 15:00:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.